Secure Updates Fail Unless 'Require user scripts to update using HTTPS' is Unchecked #186

Open
bengrosser opened this Issue Oct 2, 2013 · 0 comments

Comments

Projects
None yet
2 participants
@bengrosser

Given a userscript that has a valid updateURL line, such as:

@updateurl https://somewhere.com/userscript.meta.js

I'm finding that the update only works if the Scriptish option 'Require user scripts to update using HTTPS' is unchecked. With this option checked, Scriptish properly detects when there is an update and tries to download it, but fails saying 'There was an error downloading [scriptname]'. The Firefox console shows a GET request pointing to the correct file over https, and the file can indeed be downloaded over https.

I would expect that with the 'Require user scripts to update using HTTPS' option checked that an @updateurl that points to a valid https location would work.

@erikvold erikvold added the BUG label May 1, 2014

@erikvold erikvold added this to the v2.0 milestone May 1, 2014

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment